## kf6-breeze-icons 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
project(BreezeIcons VERSION ${KF_VERSION})

# Disallow in-source build
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "Breeze Icons requires an out-of-source build. Please create a separate build directory and run 'cmake path_to_breeze_icons [options]' there.")
endif()

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(GtkUpdateIconCache)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMSetupVersion)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Gui)

# Find Python 3
find_package(Python 3 COMPONENTS Interpreter)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# We need this for KDE-BUG 499674. qt_add_resources has issues with 32-bit
# systems, while qt_add_big_resources has issues with LTO. We use qt_add_big_resources
# and disable LTO.
check_cxx_compiler_flag(-fno-lto COMPILER_SUPPORTS_NO_LTO)
check_cxx_compiler_flag(/GL- COMPILER_SUPPORTS_NO_GL)
if(COMPILER_SUPPORTS_NO_LTO)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-lto")
elseif(COMPILER_SUPPORTS_NO_GL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /GL-")
endif()
set(CMAKE_INTERPROCEDURAL_OPTIMIZATION OFF)

if(Python_FOUND)
    # Find lxml Python 3 module
    exec_program(${Python_EXECUTABLE}
        ARGS "-c \"import lxml; from lxml import etree; print(lxml.get_include())\""
        RETURN_VALUE LXML_NOT_FOUND # Returns 0 or false if successful
    )

    # Generating icons is not required, but strongly recommended in most cases
    if(LXML_NOT_FOUND)
        message(WARNING "lxml or lxml.etree not found; icon generation disabled")
        set(WITH_ICON_GENERATION OFF)
    else()
        option(WITH_ICON_GENERATION "Icon generation" ON)
    endif()
else()
    set(WITH_ICON_GENERATION OFF)
endif()

add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 and symbolic dark icons.
   This feature requires Python 3 and the lxml Python 3 module."
) # The exact amount of indentation used in the line(s) above is intentional

# don't install the individual icons
# useful if you only want to link with the generated icon library
option(SKIP_INSTALL_ICONS "Skip installing the icons files" OFF)

# pure compatibility option for e.g. Kexi, not used in general and wastes disk space
# FIXME: remove after e.g. Kexi is ported
option(BINARY_ICONS_RESOURCE "Install Qt binary resource file containing breeze icons (breeze-icons.rcc), should only be used if needed for compatibility" OFF)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BreezeIcons")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6BreezeIconsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

ecm_setup_version(PROJECT
  VARIABLE_PREFIX BREEZEICONS
  VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
  SOVERSION 6)

install(EXPORT KF6BreezeIconsTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6BreezeIconsTargets.cmake
  NAMESPACE KF6::
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)

add_subdirectory(autotests)
add_subdirectory(icons)
add_subdirectory(icons-dark)
add_subdirectory(src)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES INCLUDE_QUIET_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/lib/CMakeLists.txt ===
# helper functions to ensure we load the icon theme
set(kbreezeicons_SRCS breezeicons.cpp)

# avoid dependency cycle with add resource
set(CMAKE_AUTOMOC OFF)

# generate resource file for all breeze icons
set(RESOURCE_FILE ${CMAKE_CURRENT_BINARY_DIR}/breeze-icons.qrc)
set(RESOURCE_FILE_BINARY ${CMAKE_CURRENT_BINARY_DIR}/breeze-icons.rcc)

# we only will use the normal icons, we do recoloring later
# we run the tool over the dark ones just to do all checks on them, too
add_custom_command(OUTPUT ${RESOURCE_FILE}
    COMMAND qrcAlias -o ${RESOURCE_FILE} ${CMAKE_SOURCE_DIR}/icons ${CMAKE_BINARY_DIR}/breeze-icons # used for the resource
    COMMAND qrcAlias -o ${RESOURCE_FILE}.dark.dummy ${CMAKE_SOURCE_DIR}/icons-dark ${CMAKE_BINARY_DIR}/breeze-icons-dark # used for checking only
    COMMAND Qt6::rcc --binary -o ${RESOURCE_FILE_BINARY} ${RESOURCE_FILE} # FIXME: remove after e.g. Kexi is ported
    DEPENDS qrcAlias breeze-generate-24px-versions breeze-generate-24px-versions-dark # ensure we run after the generation steps
    USES_TERMINAL
)

# install as compatibility resource file if really requested
# FIXME: remove after e.g. Kexi is ported
if(BINARY_ICONS_RESOURCE)
    install(FILES ${RESOURCE_FILE_BINARY} DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/breeze)
endif()

# use big resource variant, else we OOM on 32 bit machines
# this has issues with LTO, we have a unit test that tells if stuff got lost in the DLL
qt_add_big_resources(kbreezeicons_resource_SRCS
    ${RESOURCE_FILE}
    OPTIONS --root /icons/breeze
)

add_library(KF6BreezeIcons ${kbreezeicons_resource_SRCS} ${kbreezeicons_SRCS})
add_library(KF6::BreezeIcons ALIAS KF6BreezeIcons)

set_target_properties(KF6BreezeIcons
    PROPERTIES
        VERSION ${BREEZEICONS_VERSION}
        SOVERSION ${BREEZEICONS_SOVERSION}
        EXPORT_NAME BreezeIcons
)

generate_export_header(KF6BreezeIcons BASE_NAME BreezeIcons)

target_include_directories(KF6BreezeIcons
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons>"
)

target_link_libraries(KF6BreezeIcons
    PUBLIC
        Qt6::Gui
)

ecm_generate_headers(KF6BreezeIcons_CamelCase_HEADERS
    HEADER_NAMES
        BreezeIcons

    REQUIRED_HEADERS
        KF6BreezeIcons_HEADERS
)

install(TARGETS KF6BreezeIcons EXPORT KF6BreezeIconsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_export.h
    ${KF6BreezeIcons_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons
    COMPONENT Devel
)

install(FILES
    ${KF6BreezeIcons_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons
    COMPONENT Devel
)

=== debian/changelog ===
kf6-breeze-icons (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.
  * Do not remove icons for Telegram any more.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:04 +0200

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Build-Depends-Indep: fdupes,
                     libxml2-utils,
                     python3-lxml,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons.git
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme (<< 4:5.115.0-3~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DBINARY_ICONS_RESOURCE=$(if $(filter kf6-breeze-icon-theme, $(shell dh_listpackages)),ON,OFF) \
	  -DWITH_ICON_GENERATION=$(if $(filter kf6-breeze-icon-theme, $(shell dh_listpackages)),ON,OFF) \
	  -DSKIP_INSTALL_ICONS=$(if $(filter kf6-breeze-icon-theme, $(shell dh_listpackages)),OFF,ON)

execute_after_dh_install-indep:
	rm debian/kf6-breeze-icon-theme/usr/share/icons/*/*.rcc
	find $(CURDIR)/debian/kf6-breeze-icon-theme -type d -print0 | xargs -0 rmdir --ignore-fail-on-non-empty
	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/kf6-breeze-icon-theme $(CURDIR)/debian/kf6-breeze-icon-theme/usr/share/icons

## kf6-breeze-icons 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -109,8 +109,21 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)
 
 add_subdirectory(autotests)
+
+# declare both install dirs, icons will install fallback icons to dark, too!
+set(BREEZE_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze)
+set(BREEZE_DARK_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze-dark)
+
+# set and create the generation directories, we always need them
+set(ICON_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons)
+set(ICON_DARK_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons-dark)
+file(MAKE_DIRECTORY ${ICON_GEN_DIR})
+file(MAKE_DIRECTORY ${ICON_DARK_GEN_DIR})
+
+# generate and install both variants
 add_subdirectory(icons)
-add_subdirectory(icons-dark)
+
+# build the icon library and tools
 add_subdirectory(src)
 
 include(ECMFeatureSummary)

=== icons/CMakeLists.txt ===
########### install files ###############

FILE(GLOB possible_icon_dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*)
SET(breeze_icon_dirs "")
FOREACH(possible_icon_dir ${possible_icon_dirs})
    IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${possible_icon_dir})
        LIST(APPEND breeze_icon_dirs ${possible_icon_dir})
    ENDIF()
ENDFOREACH()

# generate the two theme indices
file(COPY_FILE breeze.theme.in ${ICON_GEN_DIR}/index.theme)
file(READ commonthemeinfo.theme.in COMMON_THEME_INFO)
file(APPEND ${ICON_GEN_DIR}/index.theme ${COMMON_THEME_INFO})
file(COPY_FILE breeze-dark.theme.in ${ICON_DARK_GEN_DIR}/index.theme)
file(READ commonthemeinfo.theme.in COMMON_THEME_INFO)
file(APPEND ${ICON_DARK_GEN_DIR}/index.theme ${COMMON_THEME_INFO})

# generate stuff if wanted
if(WITH_ICON_GENERATION)
    # Auto-generate 24px monochrome icons from 22px versions
    add_custom_target(breeze-generate-24px-versions ALL
        COMMENT "Generating 24px icons"
        COMMAND ${Python_EXECUTABLE} ${CMAKE_SOURCE_DIR}/generate-24px-versions.py
                ${CMAKE_CURRENT_SOURCE_DIR}
                ${ICON_GEN_DIR}
        COMMAND $<TARGET_FILE:generate-symbolic-dark> ${CMAKE_SOURCE_DIR}/icons ${ICON_GEN_DIR} ${ICON_DARK_GEN_DIR}
    )
else()
    # create the target dir, we need it for resource creation
    add_custom_target(breeze-generate-24px-versions ALL
        COMMENT "Generating 24px icons placeholder"
    )
endif()

if(NOT SKIP_INSTALL_ICONS)
    # install the instantiated theme indices
    install(FILES ${ICON_GEN_DIR}/index.theme DESTINATION ${BREEZE_INSTALL_DIR})
    install(FILES ${ICON_DARK_GEN_DIR}/index.theme DESTINATION ${BREEZE_DARK_INSTALL_DIR})

    # we install icons as breeze and as fallback for breeze-dark
    # breeze-dark will overwrite some installed files with generated color patched ones

    install(DIRECTORY ${breeze_icon_dirs} DESTINATION ${BREEZE_INSTALL_DIR})
    install(DIRECTORY ${breeze_icon_dirs} DESTINATION ${BREEZE_DARK_INSTALL_DIR})

    if(WITH_ICON_GENERATION)
        install(DIRECTORY ${ICON_GEN_DIR}/ DESTINATION ${BREEZE_INSTALL_DIR})
        install(DIRECTORY ${ICON_GEN_DIR}/ DESTINATION ${BREEZE_DARK_INSTALL_DIR})

        # generated dark icons are installed on-top
        install(DIRECTORY ${ICON_DARK_GEN_DIR}/ DESTINATION ${BREEZE_DARK_INSTALL_DIR})
    endif()

    # update the icon caches
    gtk_update_icon_cache(${BREEZE_INSTALL_DIR})
    gtk_update_icon_cache(${BREEZE_DARK_INSTALL_DIR})
endif()

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,10 @@
 # we only will use the normal icons, we do recoloring later
 # we run the tool over the dark ones just to do all checks on them, too
 add_custom_command(OUTPUT ${RESOURCE_FILE}
-    COMMAND qrcAlias -o ${RESOURCE_FILE} ${CMAKE_SOURCE_DIR}/icons ${CMAKE_BINARY_DIR}/breeze-icons # used for the resource
-    COMMAND qrcAlias -o ${RESOURCE_FILE}.dark.dummy ${CMAKE_SOURCE_DIR}/icons-dark ${CMAKE_BINARY_DIR}/breeze-icons-dark # used for checking only
+    COMMAND qrcAlias -o ${RESOURCE_FILE} ${CMAKE_SOURCE_DIR}/icons ${ICON_GEN_DIR} # used for the resource
+    COMMAND qrcAlias -o ${RESOURCE_FILE}.dark.dummy ${ICON_DARK_GEN_DIR} # used for checking only
     COMMAND Qt6::rcc --binary -o ${RESOURCE_FILE_BINARY} ${RESOURCE_FILE} # FIXME: remove after e.g. Kexi is ported
-    DEPENDS qrcAlias breeze-generate-24px-versions breeze-generate-24px-versions-dark # ensure we run after the generation steps
+    DEPENDS qrcAlias breeze-generate-24px-versions # ensure we run after the generation steps
     USES_TERMINAL
 )

=== debian/changelog ===
kf6-breeze-icons (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:03:45 +0100

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.19.0~),
               fdupes,
               libxkbcommon-dev,
               libxml2-utils,
               pkgconf,
               python3-lxml,
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Provides: breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Provides: breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- -DBINARY_ICONS_RESOURCE=ON -DWITH_ICON_GENERATION=ON -DICONS_LIBRARY=ON

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --sourcedir=debian/kf6-breeze-icon-theme
	if [ -d debian/kf6-breeze-icon-theme ]; then \
		rm debian/kf6-breeze-icon-theme/usr/share/icons/*/*.rcc; \
		find $(CURDIR)/debian/kf6-breeze-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty; \
		bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/kf6-breeze-icon-theme $(CURDIR)/debian/kf6-breeze-icon-theme/usr/share/icons; \
	fi

## kf6-breeze-icons 6.19.0+p24.04+vstable+git20251011.0841

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -47,27 +47,12 @@
 endif()
 set(CMAKE_INTERPROCEDURAL_OPTIMIZATION OFF)
 
-if(Python_FOUND)
-    # Find lxml Python 3 module
-    exec_program(${Python_EXECUTABLE}
-        ARGS "-c \"import lxml; from lxml import etree; print(lxml.get_include())\""
-        RETURN_VALUE LXML_NOT_FOUND # Returns 0 or false if successful
-    )
-
-    # Generating icons is not required, but strongly recommended in most cases
-    if(LXML_NOT_FOUND)
-        message(WARNING "lxml or lxml.etree not found; icon generation disabled")
-        set(WITH_ICON_GENERATION OFF)
-    else()
-        option(WITH_ICON_GENERATION "Icon generation" ON)
-    endif()
-else()
-    set(WITH_ICON_GENERATION OFF)
+# 24x24 generation (requires python)
+option(WITH_ICON_GENERATION "24x24 icon generation" ON)
+add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 icons, this feature requires Python 3 and the lxml Python 3 module.")
+if(WITH_ICON_GENERATION)
+    find_package(Python 3 COMPONENTS Interpreter REQUIRED)
 endif()
-
-add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 and symbolic dark icons.
-   This feature requires Python 3 and the lxml Python 3 module."
-) # The exact amount of indentation used in the line(s) above is intentional
 
 # don't install the individual icons
 # useful if you only want to link with the generated icon library
@@ -108,23 +93,14 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)
 
-add_subdirectory(autotests)
-
-# declare both install dirs, icons will install fallback icons to dark, too!
-set(BREEZE_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze)
-set(BREEZE_DARK_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze-dark)
-
-# set and create the generation directories, we always need them
-set(ICON_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons)
-set(ICON_DARK_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons-dark)
-file(MAKE_DIRECTORY ${ICON_GEN_DIR})
-file(MAKE_DIRECTORY ${ICON_DARK_GEN_DIR})
+# tools to generate icons and resources
+add_subdirectory(tools)
 
 # generate and install both variants
 add_subdirectory(icons)
 
-# build the icon library and tools
-add_subdirectory(src)
+# unit tests
+add_subdirectory(autotests)
 
 include(ECMFeatureSummary)
 ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES INCLUDE_QUIET_PACKAGES)

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vstable+git20251011.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:41:58 +0000

kf6-breeze-icons (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:44:56 +0000

kf6-breeze-icons (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:43:55 +0000

kf6-breeze-icons (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:06:09 +0000

kf6-breeze-icons (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 05:57:26 +0000

kf6-breeze-icons (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:33:32 +0000

kf6-breeze-icons (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:20:54 +0000

kf6-breeze-icons (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:40:55 +0000

kf6-breeze-icons (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:46:19 +0000

kf6-breeze-icons (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:13:42 +0000

kf6-breeze-icons (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:25:52 +0000

kf6-breeze-icons (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:10:05 +0000

kf6-breeze-icons (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:17:32 +0000

kf6-breeze-icons (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:13:17 +0000

kf6-breeze-icons (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:19:22 +0000

kf6-breeze-icons (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:13:31 +0000

kf6-breeze-icons (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:33:10 +0000

kf6-breeze-icons (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:26:16 +1000

kf6-breeze-icons (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:47:52 +0000

kf6-breeze-icons (6.2.80~20240527-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:11:35 +0000

kf6-breeze-icons (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-breeze-icons (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-breeze-icons 6.19.0+p24.04+vstable+git20251019.0047

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vstable+git20251019.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:47:15 +0000

## kf6-breeze-icons 6.19.0+p24.04+vstable+git20251028.0743

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vstable+git20251028.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:43:23 +0000

## kf6-breeze-icons 6.19.0+p24.04+vunstable+git20251020.0152

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 include(ECMSetupVersion)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Gui)
 
 # Find Python 3

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vunstable+git20251020.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:52:28 +0000

## kf6-breeze-icons 6.19.0+p24.04+vunstable+git20251021.0328

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vunstable+git20251021.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:28:14 +0000

## kf6-breeze-icons 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-breeze-icons (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:34 +0100

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.20.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
Build-Depends-Indep: fdupes,
                     libxml2-utils,
                     python3-lxml,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-breeze-icons.git
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme (<< 4:5.115.0-3~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Replaces: breeze-icon-theme-rcc (<< 4:5.115.0-3~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## kf6-breeze-icons 6.20.0+p24.04+vunstable+git20251203.0042

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build

=== debian/changelog ===
kf6-breeze-icons (6.20.0+p24.04+vunstable+git20251203.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:42:22 +0000

kf6-breeze-icons (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:53 +1000

## kf6-breeze-icons 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-breeze-icons (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:04 +0000

kf6-breeze-icons (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:06 +0000

=== debian/control ===
Source: kf6-breeze-icons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.21.0~),
               fdupes,
               libxkbcommon-dev,
               libxml2-utils,
               pkgconf,
               python3-lxml,
               qt6-base-dev (>= 6.8.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/breeze-icons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-breeze-icons
Rules-Requires-Root: no

Package: kf6-breeze-icon-theme
Provides: breeze-icon-theme,
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme, ${misc:Depends},
Breaks: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme (<< 4:5.116.0-0ubuntu2~),
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: kf6-breeze-icon-theme-rcc
Provides: breeze-icon-theme-rcc,
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Replaces: breeze-icon-theme-rcc (<< 4:5.116.0-0ubuntu2~),
Description: RCC resources for the breeze icon theme
 Breeze is the default icon theme for the KDE Plasma 6 desktop. This package
 contains the icons in RCC format.
 .
 This package is part of the Breeze theme module.

Package: libkf6breezeicons-dev
Section: libdevel
Architecture: any
Depends: kf6-breeze-icon-theme-rcc,
         libkf6breezeicons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0+dfsg~),
         ${misc:Depends},
Description: Default Plasma icon theme (development files)
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.
 .
 This package contains the development files.

Package: libkf6breezeicons6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Default Plasma icon theme
 This is the default icon theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## kf6-breeze-icons 6.21.0+p24.04+vstable+git20251218.0112

=== debian/changelog ===
kf6-breeze-icons (6.21.0+p24.04+vstable+git20251218.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 01:12:06 +0000

kf6-breeze-icons (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:58 +1000

## kf6-breeze-icons 6.21.0+p24.04+vunstable+git20251207.0747

=== debian/changelog ===
kf6-breeze-icons (6.21.0+p24.04+vunstable+git20251207.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:47:54 +0000

## kf6-breeze-icons 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,36 +62,40 @@
 # FIXME: remove after e.g. Kexi is ported
 option(BINARY_ICONS_RESOURCE "Install Qt binary resource file containing breeze icons (breeze-icons.rcc), should only be used if needed for compatibility" OFF)
 
-set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BreezeIcons")
+option(WITH_ICONS_LIBRARY "Build the Breeze icons library" ON)
 
-configure_package_config_file(
-  "${CMAKE_CURRENT_SOURCE_DIR}/KF6BreezeIconsConfig.cmake.in"
-  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
-  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-  PATH_VARS  CMAKE_INSTALL_PREFIX
-)
+if(WITH_ICONS_LIBRARY)
+    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BreezeIcons")
 
-install(FILES
-  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
-  "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
-  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-  COMPONENT Devel
-)
+    configure_package_config_file(
+      "${CMAKE_CURRENT_SOURCE_DIR}/KF6BreezeIconsConfig.cmake.in"
+      "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
+      INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
+      PATH_VARS  CMAKE_INSTALL_PREFIX
+    )
 
-ecm_setup_version(PROJECT
-  VARIABLE_PREFIX BREEZEICONS
-  VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
-  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
-  SOVERSION 6)
+    install(FILES
+      "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfig.cmake"
+      "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
+      DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+      COMPONENT Devel
+    )
 
-install(EXPORT KF6BreezeIconsTargets
-  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-  FILE KF6BreezeIconsTargets.cmake
-  NAMESPACE KF6::
-)
+    ecm_setup_version(PROJECT
+      VARIABLE_PREFIX BREEZEICONS
+      VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
+      PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BreezeIconsConfigVersion.cmake"
+      SOVERSION 6)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)
+    install(EXPORT KF6BreezeIconsTargets
+      DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+      FILE KF6BreezeIconsTargets.cmake
+      NAMESPACE KF6::
+    )
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
+      DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)
+endif()
 
 # tools to generate icons and resources
 add_subdirectory(tools)

=== icons/CMakeLists.txt ===
# avoid dependency cycle with add resource
set(CMAKE_AUTOMOC OFF)

# declare both install dirs, icons will install fallback icons to dark, too!
set(BREEZE_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze)
set(BREEZE_DARK_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze-dark)

# generate resource file for all breeze icons
set(RESOURCE_FILE ${CMAKE_CURRENT_BINARY_DIR}/breeze-icons.qrc)
set(RESOURCE_FILE_BINARY ${CMAKE_CURRENT_BINARY_DIR}/breeze-icons.rcc)

# set and create the generation directories, we always need them
set(ICON_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons)
set(ICON_DARK_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons-dark)
file(MAKE_DIRECTORY ${ICON_GEN_DIR})
file(MAKE_DIRECTORY ${ICON_DARK_GEN_DIR})

# get all icon categories
FILE(GLOB possible_icon_dirs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/*)
SET(breeze_icon_dirs "")
FOREACH(possible_icon_dir ${possible_icon_dirs})
    IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${possible_icon_dir})
        LIST(APPEND breeze_icon_dirs ${possible_icon_dir})
    ENDIF()
ENDFOREACH()

# get all icons as dependencies for the generation
file(GLOB_RECURSE icon_svgs ${CMAKE_CURRENT_SOURCE_DIR}/*.svg)

# generate the two theme indices
file(COPY_FILE breeze.theme.in ${ICON_GEN_DIR}/index.theme)
file(READ commonthemeinfo.theme.in COMMON_THEME_INFO)
file(APPEND ${ICON_GEN_DIR}/index.theme ${COMMON_THEME_INFO})
file(COPY_FILE breeze-dark.theme.in ${ICON_DARK_GEN_DIR}/index.theme)
file(READ commonthemeinfo.theme.in COMMON_THEME_INFO)
file(APPEND ${ICON_DARK_GEN_DIR}/index.theme ${COMMON_THEME_INFO})

# generate stuff if wanted
if(WITH_ICON_GENERATION)
    # generate 24px & dark icons + do checking and create the resource
    add_custom_command(OUTPUT ${RESOURCE_FILE}
        COMMENT "Generating 24px & symbolic dark icons and resources"
        COMMAND ${Python_EXECUTABLE} ${CMAKE_SOURCE_DIR}/tools/generate-24px-versions.py ${CMAKE_CURRENT_SOURCE_DIR} ${ICON_GEN_DIR}
        COMMAND $<TARGET_FILE:generate-symbolic-dark> ${CMAKE_SOURCE_DIR}/icons ${ICON_GEN_DIR} ${ICON_DARK_GEN_DIR}
        COMMAND $<TARGET_FILE:qrcAlias> -o ${RESOURCE_FILE} ${CMAKE_SOURCE_DIR}/icons ${ICON_GEN_DIR} # used for the resource
        COMMAND $<TARGET_FILE:qrcAlias> -o ${RESOURCE_FILE}.dark.dummy ${ICON_DARK_GEN_DIR} # used for checking only
        COMMAND Qt6::rcc --binary -o ${RESOURCE_FILE_BINARY} ${RESOURCE_FILE} # FIXME: remove after e.g. Kexi is ported
        DEPENDS ${icon_svgs} commonthemeinfo.theme.in breeze.theme.in breeze-dark.theme.in
        USES_TERMINAL
    )
else()
    # generate dark icons + do checking and create the resource
    add_custom_command(OUTPUT ${RESOURCE_FILE}
        COMMENT "Generating symbolic dark icons and resources"
        COMMAND $<TARGET_FILE:generate-symbolic-dark> ${CMAKE_SOURCE_DIR}/icons ${ICON_GEN_DIR} ${ICON_DARK_GEN_DIR}
        COMMAND $<TARGET_FILE:qrcAlias> -o ${RESOURCE_FILE} ${CMAKE_SOURCE_DIR}/icons ${ICON_GEN_DIR} # used for the resource
        COMMAND $<TARGET_FILE:qrcAlias> -o ${RESOURCE_FILE}.dark.dummy ${ICON_DARK_GEN_DIR} # used for checking only
        COMMAND Qt6::rcc --binary -o ${RESOURCE_FILE_BINARY} ${RESOURCE_FILE} # FIXME: remove after e.g. Kexi is ported
        DEPENDS ${icon_svgs} commonthemeinfo.theme.in breeze.theme.in breeze-dark.theme.in
        USES_TERMINAL
    )
endif()

# install as compatibility resource file if really requested
# FIXME: remove after e.g. Kexi is ported
if(BINARY_ICONS_RESOURCE)
    install(FILES ${RESOURCE_FILE_BINARY} DESTINATION ${BREEZE_INSTALL_DIR})
endif()

if(NOT SKIP_INSTALL_ICONS)
    # install the instantiated theme indices
    install(FILES ${ICON_GEN_DIR}/index.theme DESTINATION ${BREEZE_INSTALL_DIR})
    install(FILES ${ICON_DARK_GEN_DIR}/index.theme DESTINATION ${BREEZE_DARK_INSTALL_DIR})

    # we install icons as breeze and as fallback for breeze-dark
    # breeze-dark will overwrite some installed files with generated color patched ones

    install(DIRECTORY ${breeze_icon_dirs} DESTINATION ${BREEZE_INSTALL_DIR})
    install(DIRECTORY ${breeze_icon_dirs} DESTINATION ${BREEZE_DARK_INSTALL_DIR})

    if(WITH_ICON_GENERATION)
        install(DIRECTORY ${ICON_GEN_DIR}/ DESTINATION ${BREEZE_INSTALL_DIR})
        install(DIRECTORY ${ICON_GEN_DIR}/ DESTINATION ${BREEZE_DARK_INSTALL_DIR})
    endif()

    # generated dark icons are installed on-top
    install(DIRECTORY ${ICON_DARK_GEN_DIR}/ DESTINATION ${BREEZE_DARK_INSTALL_DIR})

    # update the icon caches
    gtk_update_icon_cache(${BREEZE_INSTALL_DIR})
    gtk_update_icon_cache(${BREEZE_DARK_INSTALL_DIR})
endif()

if (WITH_ICONS_LIBRARY)
    # helper functions to ensure we load the icon theme
    set(kbreezeicons_SRCS breezeicons.cpp)

    # use big resource variant, else we OOM on 32 bit machines
    # this has issues with LTO, we have a unit test that tells if stuff got lost in the DLL
    qt_add_big_resources(kbreezeicons_resource_SRCS
        ${RESOURCE_FILE}
        OPTIONS --root /icons/breeze
    )


    add_library(KF6BreezeIcons ${kbreezeicons_resource_SRCS} ${kbreezeicons_SRCS})
    add_library(KF6::BreezeIcons ALIAS KF6BreezeIcons)

    set_target_properties(KF6BreezeIcons
        PROPERTIES
            VERSION ${BREEZEICONS_VERSION}
            SOVERSION ${BREEZEICONS_SOVERSION}
            EXPORT_NAME BreezeIcons
    )

    generate_export_header(KF6BreezeIcons BASE_NAME BreezeIcons)

    target_include_directories(KF6BreezeIcons
        INTERFACE
            "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons>"
    )

    target_link_libraries(KF6BreezeIcons
        PUBLIC
            Qt6::Gui
    )

    ecm_generate_headers(KF6BreezeIcons_CamelCase_HEADERS
        HEADER_NAMES
            BreezeIcons

        REQUIRED_HEADERS
            KF6BreezeIcons_HEADERS
    )

    install(TARGETS KF6BreezeIcons EXPORT KF6BreezeIconsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_export.h
        ${KF6BreezeIcons_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons
        COMPONENT Devel
    )

    install(FILES
        ${KF6BreezeIcons_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons
        COMPONENT Devel
    )

endif()

=== debian/changelog ===
kf6-breeze-icons (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:28:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                fdupes,
                libxkbcommon-dev,
                libxml2-utils,

## kf6-breeze-icons 6.22.0+p24.04+vstable+git20260131.1253

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build

=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vstable+git20260131.1253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:53:57 +0000

kf6-breeze-icons (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:38 +1000

## kf6-breeze-icons 6.22.0+p24.04+vstable+git20260209.0204

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.24.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vstable+git20260209.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 02:04:08 +0000

## kf6-breeze-icons 6.22.0+p24.04+vunstable+git20260202.1553

=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vunstable+git20260202.1553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 15:53:27 +0000

## kf6-breeze-icons 6.22.0+p24.04+vunstable+git20260209.0318

=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vunstable+git20260209.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:19:02 +0000
